Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.sdoc
Class XSDSchema

    java.lang.Object
      net.sf.saxon.tree.NodeImpl
          net.sf.saxon.tree.ParentNodeImpl
              net.sf.saxon.tree.ElementImpl
                  net.sf.saxon.tree.ElementWithAttributes
                      com.saxonica.sdoc.SchemaElement
                          com.saxonica.sdoc.XSDSchema

All Implemented Interfaces:
  FingerprintedNode, Item, NodeInfo, javax.xml.transform.Source, javax.xml.transform.SourceLocator, ValueRepresentation

public class XSDSchema
extends SchemaElement

An xs:schema element in an XML Schema document

Field Summary

Fields inherited from class com.saxonica.sdoc.SchemaElement
`REQUIRE_NULL_NS, REQUIRE_TARGET_NS, USE_DEFAULT_NS`

Fields inherited from class net.sf.saxon.tree.ElementWithAttributes
`attributeList, namespaceList`

Fields inherited from class net.sf.saxon.tree.ElementImpl
`nameCode, root, sequence`

Fields inherited from class net.sf.saxon.tree.NodeImpl
`index, NODE_LETTER, parent`

Fields inherited from interface net.sf.saxon.om.NodeInfo
`ALL_NAMESPACES, EMPTY_NAMESPACE_LIST, IS_DTD_TYPE, LOCAL_NAMESPACES, NO_NAMESPACES`

Fields inherited from interface net.sf.saxon.om.ValueRepresentation
`EMPTY_VALUE_ARRAY`

Constructor Summary
`XSDSchema()`

Method Summary
`java.lang.String` | `getAttributeFormDefault()` Returns the attributeFormDefault property of this Schema.
`int` | `getBlockDefault()` Returns the default BlockList for this Schema.
`java.lang.String` | `getElementFormDefault()` Returns the elementFormDefault property of this Schema.
`int` | `getErrorCount()`
`int` | `getFinalDefault()` Returns the default FinalList for this Schema.
`PreparedSchema` | `getSchema()` Get the schema corresponding to the contents of the schema document containing this element
`SchemaDocumentManager` | `getSchemaDocumentManager()`
`java.lang.String` | `getTargetNamespace()` Get the target namespace of this schema document.
`void` | `incrementErrorCount()`
`boolean` | `isChameleon()` Determine if this is a chameleon schema document, that is, one with no targetNamespace of its own, whose effective target namespace (and for many purposes, default namespace) are set to the targetNamespace of the referring schema document.
`boolean` | `isImportedNamespace(java.lang.String uri)` Determine whether a given URI is that of a namespace that has been imported into this schema document.
`void` | `postValidate()` Process child elements after validation
`void` | `prepareAttributes()` Validate and process the attributes on this element in the schema document
`void` | `setAttributeFormDefault(java.lang.String attributeFormDefault)` Sets the attributeFormDefault property of this Schema.
`void` | `setBlockDefault(int value)` Sets the default Block values for this Schema.
`void` | `setElementFormDefault(java.lang.String elementFormDefault)` Sets the elementFormDefault property of this Schema.
`void` | `setFinalDefault(int value)` Sets the default "final" list for this Schema.
`void` | `setReferrer(SchemaElement referrer)`
`void` | `setSchema(PreparedSchema schema)`
`void` | `setSchemaDocumentManager(SchemaDocumentManager manager)`
`void` | `validate()` Validate this schema element, checking all document-level constraints

Methods inherited from class com.saxonica.sdoc.SchemaElement
`allocateAnonymousTypeCode, allowAttributes, checkMutuallyExclusiveAttributes, duplicate, duplicateElement, error, getContainingComplexType, getContainingSimpleType, getFingerprint, getLineNumber, getNameCode, getSchemaNodeFactory, getXSDSchema, illegalElement, indefiniteArticle, invalidAttributeValue, isTopLevel, missingAttribute, missingChildElement, mustBeFirstElement, mustBeLastElement, mustPrecede, mutuallyExclusive, mutuallyExclusiveAttributes, mutuallyExclusiveElementAndAttribute, parseFinalOrBlock, processAllAttributes, processId, requireAttribute, setLineNumber, setSchemaNodeFactory, validateChildren, validateSubtree, warning`

Methods inherited from class net.sf.saxon.tree.ElementWithAttributes
`copy, getAttributeList, getAttributeValue, getDeclaredNamespaces, getInScopeNamespaceCodes, getPrefixForURI, getURICodeForPrefix, getURIForPrefix, initialise, iteratePrefixes, sendNamespaceDeclarations, setNamespaceDeclarations`

Methods inherited from class net.sf.saxon.tree.ElementImpl
`addChild, compact, enumerateChildren, generateId, getBaseURI, getDocumentRoot, getFirstChild, getLastChild, getNameCode, getNodeKind, getNthChild, getRoot, getSequenceNumber, getStringValue, getStringValueCS, getSystemId, hasChildNodes, setNameCode, setSystemId, useChildrenArray`

Methods inherited from class net.sf.saxon.tree.NodeImpl
`atomize, compareOrder, equals, getColumnNumber, getConfiguration, getDisplayName, getDocumentNumber, getFingerprint, getLocalPart, getNamePool, getNextInDocument, getNextSibling, getParent, getPrefix, getPreviousInDocument, getPreviousSibling, getPublicId, getTypeAnnotation, getTypedValue, getURI, hashCode, isSameNodeInfo, iterateAxis, iterateAxis`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSDSchema

    public XSDSchema()

Method Detail

### getSchema

    public PreparedSchema getSchema()

  Description copied from class: `SchemaElement`
  Get the schema corresponding to the contents of the schema document containing this element

  Overrides:
    `getSchema` in class `SchemaElement`

### setSchema

    public void setSchema(PreparedSchema schema)

### setSchemaDocumentManager

    public void setSchemaDocumentManager(SchemaDocumentManager manager)

### getSchemaDocumentManager

    public SchemaDocumentManager getSchemaDocumentManager()

### setReferrer

    public void setReferrer(SchemaElement referrer)

### isChameleon

    public boolean isChameleon()

  Determine if this is a chameleon schema document, that is, one with no targetNamespace of its own, whose effective target namespace (and for many purposes, default namespace) are set to the targetNamespace of the referring schema document.

### prepareAttributes

    public void prepareAttributes()
                           throws SchemaException

  Validate and process the attributes on this element in the schema document

  Specified by:
    `prepareAttributes` in class `SchemaElement`
  Throws:
    `SchemaException` - if any errors are found in the attributes

### isImportedNamespace

    public boolean isImportedNamespace(java.lang.String uri)

  Determine whether a given URI is that of a namespace that has been imported into this schema document.

  Parameters:
    `uri` - the namespace URI ("" for the null namespace)
  Returns:
    true if the namespace has been imported, false otherwise

### validate

    public void validate()
                  throws SchemaException

  Validate this schema element, checking all document-level constraints

  Overrides:
    `validate` in class `SchemaElement`
  Throws:
    `SchemaException` - if any XML representation constraints are violated

### postValidate

    public void postValidate()
                      throws SchemaException

  Process child elements after validation

  Overrides:
    `postValidate` in class `SchemaElement`
  Throws:
    `SchemaException`

### getTargetNamespace

    public java.lang.String getTargetNamespace()

  Get the target namespace of this schema document.

  Returns:
    "" for the no-namespace case

### getAttributeFormDefault

    public java.lang.String getAttributeFormDefault()

  Returns the attributeFormDefault property of this Schema.

  Returns:
    the attributeFormDefault property of this Schema, or null if no default Form was set. If no default Form has been set, the user should assume Form.Unqualified. The value is returned as a string, "qualified" or "unqualified".

### getBlockDefault

    public int getBlockDefault()

  Returns the default BlockList for this Schema.

  Returns:
    the default BlockList for this Schema, as an integer with bit-significant fields

### getElementFormDefault

    public java.lang.String getElementFormDefault()

  Returns the elementFormDefault property of this Schema.

  Returns:
    the elementFormDefault property of this Schema. The value is returned as a string ("qualified" or "unqualified"), or null if no default Form was set. If no default Form has been set, the user should assume "unqualified".

### getFinalDefault

    public int getFinalDefault()

  Returns the default FinalList for this Schema.

  Returns:
    final the default FinalList for this Schema.

### setAttributeFormDefault

    public void setAttributeFormDefault(java.lang.String attributeFormDefault)

  Sets the attributeFormDefault property of this Schema.

  Parameters:
    `attributeFormDefault` - the Form value of the attributeFormDefault property for this Schema, as a string, "qualified" or "unqualified". The caller is responsible for validating the value.

### setBlockDefault

    public void setBlockDefault(int value)

  Sets the default Block values for this Schema.

  Parameters:
    `value` - the default Block values to set for this Schema, as a bit-significant integer.

### setElementFormDefault

    public void setElementFormDefault(java.lang.String elementFormDefault)

  Sets the elementFormDefault property of this Schema.

  Parameters:
    `elementFormDefault` - the Form value of the elementFormDefault property for this Schema.

### setFinalDefault

    public void setFinalDefault(int value)

  Sets the default "final" list for this Schema.

  Parameters:
    `value` - the default final values to set for this Schema, as a bit-significant integer

### getErrorCount

    public int getErrorCount()

### incrementErrorCount

    public void incrementErrorCount()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD